Bug 1360642

Summary: [abrt] dnf: editutil.py:75:wrapper:gpgme.GpgmeError: (32, 1, 'General error')
Product: [Fedora] Fedora Reporter: Stoyan Tsalev <stoyan>
Component: dnfAssignee: rpm-software-management
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 24CC: ignatenko, jsilhan, mluscon, packaging-team-maint, pnemade, rpm-software-management, rupatel, vmukhame
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
URL: https://retrace.fedoraproject.org/faf/reports/bthash/5772facd9584dadeac693fd57b3e94ff820ab3be
Whiteboard: abrt_hash:2d2e1d0484ebba8ec944df08466071dc2ee07e89;
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-07-27 09:06:13 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
File: _var_log_dnf.log
none
File: backtrace
none
File: dnf-makecache.log
none
File: environ none

Description Stoyan Tsalev 2016-07-27 08:46:42 UTC
Description of problem:
dnf search virt-manager, asked to confirm importing a key:

Importing GPG key 0xD59097AB:
 Userid     : "packagecloud ops (production key) <ops@packagecloud.io>"
 Fingerprint: 418A 7F2F B0E1 E6E7 EABF 6FE8 C2E7 3424 D590 97AB
 From       : https://packagecloud.io/slacktechnologies/slack/gpgkey
Is this ok [y/N]: y
Traceback (most recent call last):
  File "/usr/lib/python3.5/site-packages/dnf/repo.py", line 226, in perform
    return super(_Handle, self).perform(result)
  File "/usr/lib64/python3.5/site-packages/librepo/__init__.py", line 1506, in perform
    _librepo.Handle.perform(self, result)
librepo.LibrepoException: (25, 'repomd.xml GPG signature verification error: Bad GPG signature', 'Bad GPG signature')

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.5/site-packages/dnf/repo.py", line 592, in _handle_load
    return self._handle_load_with_pubring(handle)
  File "/usr/lib/python3.5/site-packages/dnf/repo.py", line 610, in _handle_load_with_pubring
    return self._handle_load_core(handle)
  File "/usr/lib/python3.5/site-packages/dnf/repo.py", line 603, in _handle_load_core
    result = handle.perform()
  File "/usr/lib/python3.5/site-packages/dnf/repo.py", line 230, in perform
    raise _DetailedLibrepoError(exc, source)
dnf.repo._DetailedLibrepoError

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/dnf", line 58, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 174, in user_main
    errcode = main(args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 112, in _main
    cli.run()
  File "/usr/lib/python3.5/site-packages/dnf/cli/cli.py", line 1095, in run
    self._process_demands()
  File "/usr/lib/python3.5/site-packages/dnf/cli/cli.py", line 810, in _process_demands
    load_available_repos=lar)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 239, in fill_sack
    self._add_repo_to_sack(r)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 111, in _add_repo_to_sack
    repo.load()
  File "/usr/lib/python3.5/site-packages/dnf/repo.py", line 835, in load
    self._handle_load(handle)
  File "/usr/lib/python3.5/site-packages/dnf/repo.py", line 597, in _handle_load
    dnf.crypto.import_repo_keys(self)
  File "/usr/lib/python3.5/site-packages/dnf/crypto.py", line 62, in import_repo_keys
    make_ro_copy=False)
  File "/usr/lib/python3.5/site-packages/dnf/yum/misc.py", line 318, in import_key_to_pubring
    return True
  File "/usr/lib64/python3.5/contextlib.py", line 77, in __exit__
    self.gen.throw(type, value, traceback)
  File "/usr/lib/python3.5/site-packages/dnf/crypto.py", line 95, in pubring_dir
    yield
  File "/usr/lib/python3.5/site-packages/dnf/yum/misc.py", line 293, in import_key_to_pubring
    gpgme.editutil.edit_trust(ctx, k, gpgme.VALIDITY_ULTIMATE)
  File "/usr/lib64/python3.5/site-packages/gpgme/editutil.py", line 75, in wrapper
    ctx.edit(key, edit_callback, output)
gpgme.GpgmeError: (32, 1, 'General error')

Version-Release number of selected component:
dnf-1.1.9-2.fc24

Additional info:
reporter:       libreport-2.7.2
cmdline:        /usr/bin/python3 /usr/bin/dnf search virt-manager
executable:     /usr/bin/dnf
kernel:         4.6.4-301.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
editutil.py:75:wrapper:gpgme.GpgmeError: (32, 1, 'General error')

Traceback (most recent call last):
  File "/usr/lib/python3.5/site-packages/dnf/repo.py", line 226, in perform
    return super(_Handle, self).perform(result)
  File "/usr/lib64/python3.5/site-packages/librepo/__init__.py", line 1506, in perform
    _librepo.Handle.perform(self, result)
librepo.LibrepoException: (25, 'repomd.xml GPG signature verification error: Bad GPG signature', 'Bad GPG signature')

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.5/site-packages/dnf/repo.py", line 592, in _handle_load
    return self._handle_load_with_pubring(handle)
  File "/usr/lib/python3.5/site-packages/dnf/repo.py", line 610, in _handle_load_with_pubring
    return self._handle_load_core(handle)
  File "/usr/lib/python3.5/site-packages/dnf/repo.py", line 603, in _handle_load_core
    result = handle.perform()
  File "/usr/lib/python3.5/site-packages/dnf/repo.py", line 230, in perform
    raise _DetailedLibrepoError(exc, source)
dnf.repo._DetailedLibrepoError

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/dnf", line 58, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 174, in user_main
    errcode = main(args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 112, in _main
    cli.run()
  File "/usr/lib/python3.5/site-packages/dnf/cli/cli.py", line 1095, in run
    self._process_demands()
  File "/usr/lib/python3.5/site-packages/dnf/cli/cli.py", line 810, in _process_demands
    load_available_repos=lar)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 239, in fill_sack
    self._add_repo_to_sack(r)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 111, in _add_repo_to_sack
    repo.load()
  File "/usr/lib/python3.5/site-packages/dnf/repo.py", line 835, in load
    self._handle_load(handle)
  File "/usr/lib/python3.5/site-packages/dnf/repo.py", line 597, in _handle_load
    dnf.crypto.import_repo_keys(self)
  File "/usr/lib/python3.5/site-packages/dnf/crypto.py", line 62, in import_repo_keys
    make_ro_copy=False)
  File "/usr/lib/python3.5/site-packages/dnf/yum/misc.py", line 318, in import_key_to_pubring
    return True
  File "/usr/lib64/python3.5/contextlib.py", line 77, in __exit__
    self.gen.throw(type, value, traceback)
  File "/usr/lib/python3.5/site-packages/dnf/crypto.py", line 95, in pubring_dir
    yield
  File "/usr/lib/python3.5/site-packages/dnf/yum/misc.py", line 293, in import_key_to_pubring
    gpgme.editutil.edit_trust(ctx, k, gpgme.VALIDITY_ULTIMATE)
  File "/usr/lib64/python3.5/site-packages/gpgme/editutil.py", line 75, in wrapper
    ctx.edit(key, edit_callback, output)
gpgme.GpgmeError: (32, 1, 'General error')

Local variables in innermost frame:
ctx: <gpgme.Context object at 0x7fccc3ed5180>
edit_callback: <function key_editor.<locals>.wrapper.<locals>.edit_callback at 0x7fccc2aeee18>
output: <_io.BytesIO object at 0x7fccc3eddaf0>
args: (5,)
key: <gpgme.Key object at 0x7fccc3ed5150>
kwargs: {}
function: <function edit_trust at 0x7fccc5fda0d0>
gen: <generator object edit_trust at 0x7fccc3eddba0>

Comment 1 Stoyan Tsalev 2016-07-27 08:47:01 UTC
Created attachment 1184537 [details]
File: _var_log_dnf.log

Comment 2 Stoyan Tsalev 2016-07-27 08:47:03 UTC
Created attachment 1184538 [details]
File: backtrace

Comment 3 Stoyan Tsalev 2016-07-27 08:47:40 UTC
Created attachment 1184539 [details]
File: dnf-makecache.log

Comment 4 Stoyan Tsalev 2016-07-27 08:47:43 UTC
Created attachment 1184540 [details]
File: environ

Comment 5 Igor Gnatenko 2016-07-27 09:06:13 UTC

*** This bug has been marked as a duplicate of bug 1359521 ***

Comment 6 Rupesh Patel 2016-07-30 12:36:55 UTC
*** Bug 1361787 has been marked as a duplicate of this bug. ***